Package org.gradle.api.plugins.quality

# Class CodeNarcPlugin

java.lang.Object
org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>
org.gradle.api.plugins.quality.CodeNarcPlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

public class CodeNarcPlugin extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>
CodeNarc Plugin.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_CODENARC_VERSION`

### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

`project`

## Constructor Summary

Constructors
Constructor
Description
`CodeNarcPlugin()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureForSourceSet(SourceSet sourceSet, CodeNarc task)`
`protected void`
`configureTaskDefaults(CodeNarc task, String baseName)`
`protected CodeQualityExtension`
`createExtension()`
`protected Class<? extends Plugin>`
`getBasePlugin()`
`protected Class<CodeNarc>`
`getTaskType()`
`protected String`
`getToolName()`

### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

`apply, beforeApply, conventionMappingOf, createConfigurations, getConfigurationName, getJavaPluginConvention, getReportName, getTaskBaseName, withBasePlugin`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CODENARC_VERSION

public static final String DEFAULT_CODENARC_VERSION

See Also:
  - Constant Field Values

## Constructor Details

### CodeNarcPlugin

public CodeNarcPlugin()

## Method Details

### getToolName

protected String getToolName()

Specified by:
  `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

### getTaskType

protected Class<CodeNarc> getTaskType()

Specified by:
  `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

### getBasePlugin

protected Class<? extends Plugin> getBasePlugin()

Overrides:
  `getBasePlugin` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

### createExtension

protected CodeQualityExtension createExtension()

Specified by:
  `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

### configureTaskDefaults

protected void configureTaskDefaults(CodeNarc task, String baseName)

Overrides:
  `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

### configureForSourceSet

protected void configureForSourceSet(SourceSet sourceSet, CodeNarc task)

Overrides:
  `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`